%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/AlignIO.pm) perl(Bio/Factory/EMBOSS.pm) perl(Bio/Index/Fasta.pm) perl(Bio/Perl.pm) perl(Bio/Root/Root.pm) perl(Bio/Seq.pm) perl(Bio/SeqIO.pm) perl(Carp/Assert.pm) perl(Class/MethodMaker.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/String.pm) perl(IPC/Open3.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Readonly.pm) perl(Scalar/Util.pm) perl(Template.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Perl/Critic.pm) perl(Time/HiRes.pm) perl(ToolSet.pm) perl(UNIVERSAL.pm) perl(UNIVERSAL/require.pm) perl(autodie.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version v0.10.6
%define module_name Bio-Grep
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10.6
Release: alt1
Summary: Perl extension for searching in DNA and Protein sequences
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LI/LIMAONE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Bio-Grep is a collection of Perl modules for searching in 
DNA and Protein sequences. It supports different back-ends, most importantly 
some (enhanced) suffix array implementations. Currently, there is no suffix
array tool that works in all scenarios (for example whole genome, protein and
RNA data). `Bio::Grep' provides a common API to the most popular tools. This
way, you can easily switch or combine tools.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README TODO examples
%perl_vendor_privlib/B*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.10.6-alt1
- initial import by package builder

